from gpiozero import PWMOutputDevice

# Hier wird der Ausgangs-Pin deklariert, an dem der Buzzer angeschlossen ist.
buzzer = PWMOutputDevice(24, frequency=500, initial_value=0.5)

# Das Programm wartet auf die Eingabe einer neuen PWM-Frequenz vom Benutzer.
# Bis dahin wird der Buzzer mit der vorher eingegebenen Frequenz betrieben (Startwert 500Hz)
try:
    while True:
        print("----------------------------------------")
        aktuelle_frequenz = buzzer.frequency
        print(f"Aktuelle Frequenz: {aktuelle_frequenz:.0f}")
        neue_frequenz = int(input("Bitte neue Frequenz eingeben (50-5000): "))
        buzzer.frequency = neue_frequenz
         
# Aufräumarbeiten, nachdem das Programm beendet wurde
except KeyboardInterrupt:
    buzzer.close()
    print("Programm beendet")